package tfg;
import org.jsfml.system.Vector2i;

public class Location {
    private Vector2i position = new Vector2i(0,0);
    private Direction facing = Direction.SOUTH;

    /**
     * Create new location at x, y.
     * @param x Starting position.
     * @param y Starting position.
     */
    public Location(int x, int y) {
        position = new Vector2i(x,y);
    }

    /**
     * Get x Coordinate.
     * @return x
     */
    public int getX() {
        return position.x;
    }

    /**
     * Get y coordinate.
     * @return y
     */
    public int getY() {
        return position.y;
    }

    /**
     * Get Direction facing.
     * @return direction
     */
    public Direction getDirection() {
        return facing;
    }

    /**
     * Update Position.
     * @param x
     * @param y
     */
    public void setPosition(int x, int y) {
        position = new Vector2i(x,y);
    }

    /**
     * Update direction.
     * @param dir
     */
    public void setDirection(Direction dir) {
        facing = dir;
    }
}
